'GeoScript: Demostracin de construcciones elementales para principiantes

TITLE "Construcciones geomtricas elementales"
WINDOW 640,400

TWINDOW 100,100, 440,280
TEXT "Construccin 1: A travs de un punto dado, dibuja una paralela a una recta dada."
CALL Espera
CALL InitLineP FAST
CALL Paralela SLOW
WAIT
CLS
TEXT ""

TWINDOW 100,100, 440,280
TEXT "Construccin 2: A travs de un punto dado, dibuja una recta en ngulo recto a una recta dada."
CALL Espera
CALL InitLineP FAST
CALL AnguloRecto SLOW
WAIT
CLS
TEXT ""

TWINDOW 100,100, 440,280
TEXT "Construccin 3: A travs de un punto dado, dibuja una recta que forma un ngulo deseado con una recta dada."
CALL Espera
CALL InitLineP FAST
CALL AnguloPunto SLOW a, P, result
WAIT
CLS
TEXT ""

TWINDOW 100,100, 440,280
TEXT "Construccin 4: Copia un ngulo dado sobre otra recta, desde un punto P dado en esta otra recta."
CALL Espera
CALL InitAngleCopy FAST
CALL CopiaAngulo SLOW a, b, c, P, d
WAIT
END

'***************************************

CONSTRUCTION Espera
  TWINDOW 100,360, 440,40
  TEXT "Haz clic en 'Continuar' o presiona la tecla [Enter] para continuar."
  WAIT
  CLS
  TWINDOW 2,400,636,60
REPEAT

CONSTRUCTION Paralela
  TEXT "Pon el lado largo de la escuadra a la recta dada. Coloca la regla a uno de los otros lados de la escuadra. Sujeta la regla y mueve la escuadra a lo largo de la regla, hasta que su lado largo toca P. Dibuja all la paralela."
  result = LINEPOLAR P, a, 0, -1, (255,0,0)
REPEAT

CONSTRUCTION AnguloRecto
  TEXT "Pon uno de los lados cortos de la escuadra a la recta dada. Coloca la regla al lado largo de la escuadra. Sujeta la regla y mueve la escuadra a lo largo de la regla, hasta que su otro lado corto toca P. Dibuja all la recta en ngulo recto."
  result = LINEPOLAR P,a, 90, -1, (255,0,0)
REPEAT

CONSTRUCTION InitLineP
  LINE a, 10,300, 600,200, -1, (0,0,255)
  POINT P 300,160, -1, (0,0,255)
  MARKPOINT P
REPEAT

CONSTRUCTION AnguloPunto line1, P, result
  rLine = ILINEPOLAR P, line1, 90
  R = ICROSS rLine, line1
  TEXT "Dibuja una lnea auxiliar en el ngulo deseado, desde cualquier punto en la recta dada."
  auxLine = LINEPOLAR R, line1, 50, -1, (160,160,160)
  MARKANGLE line1, auxLine, "a"
  TEXT "Dibuja una paralela a la lnea auxiliar, atravesando P."
  result = LINEPOLAR P, auxLine, 0, -1, (255,0,0)
  MARKANGLE line1, result, "a"
REPEAT

CONSTRUCTION InitAngleCopy
  LINE a, 10,300, 200,300, -1, (0,0,255)
  LINE b, 10,300, 200,150, -1, (0,0,255)
  LINE c, 300,200, 500,100, -1, (0,0,255)
  ILINE d, 320,200, 320,100, -1, (0,0,255)
  P = CROSS c, d, -1, (0,0,255)
  MARKPOINT P
REPEAT

CONSTRUCTION CopiaAngulo a, b, c, P, result
  'Suppose P is on c.
  MARKANGLE a,b, "a"
  origin = ICROSS a,b
  cP = IADVANCEON origin, a, 150
  TEXT "Dibuja un crculo o arco desde el origen del ngulo dado."
  c1 = CIRCLE origin, cP, (160,160,160)
  acp1, acp2 = ICROSS c1, b
  cP2 = IADVANCEON P, c, 150
  TEXT "Dibuja un crculo con el mismo radio desde P."
  c1 = CIRCLE P, cP2, (160,160,160)
  TEXT "Mira las intersecciones del primer arco con las rectas dadas. Copiaremos la distancia entre ellas. - Dibuja un arco desde una de estas intersecciones hacia la otra."
  c3 = ARC cP, acp2, 45, (160,160,160)
  WAIT 3000
  IMOVECIRCLE c3, cP2
  acp1, acp2 = ICROSS c1, c3
  TEXT "Dibuja un arco del mismo radio desde la interseccin del segundo crculo con la segunda recta."
  c3 = ARC cP2, acp2, 54, (160,160,160)
  TEXT "Une la interseccin de los dos arcos con P."
  result = LINE P, acp2, -1, (255,0,0)
  MARKANGLE c, result, "a"
REPEAT
