'Demostracin de funciones trigonomtricas bsicas

SCREEN 750,300
TITLE "Funciones trigonomtricas bsicas"
CLS
WINDOW 240,300

ILINE c, 0,0,1,1    'solo para definir el tipo de c

CONSTRUCT InitTriangulo FAST
CONSTRUCT ResaltarTriangulo FAST C,B,A,a,c
TWINDOW 240,0, 500,50

TWINDOW 240,0, 500,70
TEXT "Demostramos las funciones trigonomtricas bsicas", (0,0,255),-1, 32
TWINDOW 340,200, 400,100
TEXT "Haz clic en 'Continuar' o presiona [Enter] para continuar."
WAIT

TWINDOW 240,0, 500,70
TEXT "Seno", (0,0,255),-1, 40
TWINDOW 240,60, 500,60
TEXT "En un tringulo rectngulo, el seno de un ngulo es la proporcin entre el cateto opuesto y la hipotenusa:"
TWINDOW 340,130, 400,100
TEXT "sen a = a / c", (0,0,255),-1, 32
WAIT

CLS
CONSTRUCT InitTriangulo FAST
CONSTRUCT ResaltarTriangulo FAST C,A,B,b,c
TWINDOW 240,0, 500,50
TEXT "Coseno", (0,0,255),-1, 40
TWINDOW 240,60, 500,60
TEXT "En un tringulo rectngulo, el coseno de un ngulo es la proporcin entre el cateto adyacente y la hipotenusa:"
TWINDOW 340,130, 400,100
TEXT "cos a = b / c", (0,0,255),-1, 32
WAIT

CLS
CONSTRUCT InitTriangulo FAST
CONSTRUCT ResaltarTriangulo FAST B,C,A,a,b
TWINDOW 240,0, 500,50
TEXT "Tangente", (0,0,255),-1, 40
TWINDOW 240,60, 500,60
TEXT "En un tringulo rectngulo, la tangente de un ngulo es la proporcin entre el cateto opuesto y el cateto adyacente:"
TWINDOW 340,130, 400,100
TEXT "tan a = a / b", (0,0,255),-1, 32
WAIT

CLS
TWINDOW 240,200, 500,40
TEXT "Demostraremos ahora estas funciones, construyendo los tringulos en un crculo con radio 1."
WAIT

WINDOW 750,300

CLS
CALL Init FAST
ANIMATE Seno FAST

CLS
CALL Init FAST
ANIMATE Coseno FAST

CLS
CALL Init FAST
ANIMATE Tan FAST

CLS
CALL Init FAST
ANIMATE LosTres FAST

END

'*********** INITIAL EXPLANATIONS *****************

CONSTRUCTION InitTriangulo
  IPOINT A 20,150, -1, (255,0,0)
  IPOINT B 200,50
  IPOINT C 200,150
  MARKANGLE C, A, B, "a", 24, 80
  MARKANGLE B, C, A, ""
REPEAT

CONSTRUCTION ResaltarTriangulo P1, P2, P3, line1, line2
  line1 = LINE P1,P2, -1, (255,0,0), 4
  MARKLINE line1
  line2 = LINE P2,P3, -1, (255,0,0), 4
  MARKLINE line2
  line3 = LINE P1,P3    'the not highlighted line.
REPEAT

'*********** ANIMATION WITH CIRCLE ****************

CONSTRUCTION Init
  POINT center 100,100, -1, (255,0,0)
  CIRCLE c1 100,100,80
  LINE x 20,100, 702,100, -1, (190,190,190)
  LINE r 20,100, 100,100, -1, (190,190,190)
  MARKNUMBERLINE r,80, -1,1
  LINE xSup 100,20, 702,20, -1, (190,190,190)
  LINE xInf 100,180, 702,180, -1, (190,190,190)
  LINE verC 100,20, 100,180, -1, (190,190,190)
  LINE verTangent 180,300, 180,0, -1, (190,190,190)
  LINE ver0 200,20, 200,180, -1, (190,190,190)
  LINE ver90 326,20, 326,180, -1, (190,190,190)
  LINE ver180 451,20, 451,180, -1, (190,190,190)
  LINE ver270 577,20, 577,180, -1, (190,190,190)
  LINE ver360 702,20, 702,180, -1, (190,190,190)
  IPOINT a0 200,180
  IPOINT a90 326,180
  IPOINT a180 451,180
  IPOINT a270 577,180
  IPOINT a360 702,180
  MARKPOINT a0
  MARKPOINT a90
  MARKPOINT a180
  MARKPOINT a270
  MARKPOINT a360
  IPOINT P0 180,100
  POINT P 180,100
  POINT P2 200,100
  tan = ILINEPOLAR P0, verTangent, 0, -1, (0,128,0)
REPEAT

CONSTRUCTION PuntoSeno
  radius = LINE center, P, -1, (190,190,190)
  MARKNUMBERANGLE P0, center, P, "a"
  a = ILINEPOLAR P2, x, 90
  b = ILINEPOLAR P, x, 0
  sResult = CROSS a,b, 1, (0,0,128)
  a = LINE P2, sResult, &H3333, (50,50,255)
  b = LINE P, sResult, &H3333, (50,50,255)
  sen = ILINEPOLAR P, x, 90, -1, (0,0,128)
  P3 = ICROSS sen,x
  MARKNUMBERLINE sen, P3, P, 80, -1, 1
  showSen = LINE P,P3, -1, (0,0,128)
REPEAT

CONSTRUCTION PuntoCoseno
  radius = LINE center, P, -1, (190,190,190)
  MARKNUMBERANGLE P0, center, P, "a"
  cos = ILINEPOLAR P, x, 0, -1, (128,0,0)
  P3 = ICROSS cos, verC
  MARKNUMBERLINE cos, P3, P, 80, -1, 1
  showCos = LINE P3,P, -1, (128,0,0)
  c2 = ICIRCLE P3, P
  IMOVECIRCLE c2, P2
  a = ILINEPOLAR P2, showCos, 90  'use showCos here, for correct direction
  dummy, cResult = CROSS c2, a, 1, (128,0,0)
  showCos = LINE P2, cResult, -1, (128,0,0)
  cos = ILINEPOLAR P2, x, 90, -1, (128,0,0)    'this to mark positive or negative.
  MARKNUMBERLINE cos, P2, cResult, 80, -1, 1
REPEAT

CONSTRUCTION PuntoTangente
  radius = LINE center, P, -1, (190,190,190)
  MARKNUMBERANGLE P0, center, P, "a"
  pTan = CROSS radius, verTangent, 2, (0,128,0), 3
  largeRadius = LINE center, pTan, &H3333, (50,255,50)
  a = ILINEPOLAR P2, x, 90
  b = ILINEPOLAR pTan, x, 0
  tResult = CROSS a,b, 1, (0,128,0)
  a = LINE P2, tResult, &H3333, (50,255,50)
  b = LINE pTan, tResult, &H3333, (50,255,50)
  showTan = LINE P0, pTan, -1, (0,128,0)
  MARKNUMBERLINE tan, P0, pTan, 80
REPEAT

ANIMATION Seno
  STEP P ALONG c1, 1
  STEP P2 1,0
  TRACE sResult
  CALL PuntoSeno FAST
REPEAT 502

ANIMATION Coseno
  STEP P ALONG c1, 1
  STEP P2 1,0
  TRACE cResult
  CALL PuntoCoseno FAST
REPEAT 502

ANIMATION Tan
  STEP P ALONG c1, 1
  STEP P2 1,0
  TRACE tResult
  CALL PuntoTangente FAST
REPEAT 502

ANIMATION LosTres
  STEP P ALONG c1, 1
  STEP P2 1,0
  TRACE sResult, cResult, tResult
  CALL PuntoSeno FAST
  CALL PuntoCoseno FAST
  CALL PuntoTangente FAST
REPEAT 502
