'GeoScript Tutorial No.6: PROCEDIMIENTO "CONSTRUCTION"

'Introduciendo CONSTRUCTION, REPEAT, CALL/CONSTRUCT, FAST, PACE, SLOW/TOOLS

SCREEN 600,460
WINDOW 600, 380
TWINDOW 2,380, 596,60

'Inicializamos estos puntos de manera "invisible",
'  para que no aparezcan al inicio y no consuman tiempo de espera.
IPOINT A = 70,340
IPOINT B = 530,340
IPOINT C = 140,40

TEXT "Construccin de un tringulo en modo PACE. Este es el modo predefinido."
CALL Triangulo PACE A,B,C

TEXT "Construccin del gravicentro en modo FAST. Presiona 'Continuar' para continuar."
CALL Gravicentro FAST A,B,C
WAIT

'Limpia la pantalla y vuelve a dibujar el tringulo:
CLS
CALL Triangulo FAST A,B,C

TEXT "Construccin de la circunferencia circunscrita en modo SLOW."
CALL Circumcirculo SLOW A,B,C

CLS
TEXT "Construccin de la circunferencia inscrita en modo predefinido (PACE)."
'Ahora inicializamos el tringulo con otros puntos:
POINT X, 100,80, 3,(0,160,0)
POINT Y, 400,80, 3,(0,160,0)
POINT Z, 250,300, 3,(0,160,0)
'No es necesario llamar "Triangulo" aqu: "Incirculo" dibuja las rectas.
CALL Incirculo X,Y,Z
WAIT 4000         'Espera 4 segundos.

CLS
TEXT "Construccin de alturas en modo SLOW."
Markpoint X
Markpoint Y
Markpoint Z
'No es necesario llamar "Triangulo" aqu: "Alturas" dibuja las rectas.
CONSTRUCT Alturas SLOW X,Y,Z

TEXT "Presiona 'Continuar' o 'Salir' para terminar el programa.", (255,255,0), (160,0,0)
WAIT
END

' El mdulo principal termina aqu. Los procedimientos comienzan aqu.

CONSTRUCTION Triangulo A,B,C
  c = LINE A,B
  b = LINE A,C
  a = LINE B,C
  MARKPOINT A, -1, 2
  MARKPOINT B, -1, 2
  MARKPOINT C
  MARKLINE a
  MARKLINE b
  MARKLINE c, -1, 1
REPEAT

CONSTRUCTION Gravicentro A,B,C
  D = MIDDLE B,C
  E = MIDDLE A,C
  F = MIDDLE A,B
  d = LINE A,D, -1, (0,0,255)
  e = LINE B,E, -1, (0,0,255)
  f = LINE C,F, -1, (0,0,255)
  G = CROSS d, e, -1, (0,0,255)
  MARKPOINT G
REPEAT

CONSTRUCTION Circumcirculo A,B,C
  h = MIDLINE B,C, -1, (255,0,0)
  i = MIDLINE A,C, -1, (255,0,0)
  j = MIDLINE A,B, -1, (255,0,0)
  M = CROSS h,i, -1, (255,0,0)
  MARKPOINT M
  c1 = CIRCLE M,A, (255,0,0)
REPEAT

CONSTRUCTION Incirculo A,B,C
  c = LINE A,B
  b = LINE A,C
  a = LINE B,C
  d = BISECTOR c,b, -1, (0,190,0)
  REVERT c
  e = BISECTOR a,c, -1, (0,190,0)
  REVERT a
  REVERT b
  f = BISECTOR b,a, -1, (0,190,0)
  M = CROSS d,e, -1, (0,190,0)
  c2 = CIRCLE M, a, (0,190,0)
REPEAT

CONSTRUCTION Alturas A,B,C
  c = LINE A,B
  b = LINE A,C
  a = LINE B,C
  hc = LINEPOLAR C,c, 90, -1, (160,0,160)
  ha = LINEPOLAR A,a, 90, -1, (160,0,160)
  hb = LINEPOLAR B,b, 90, -1, (160,0,160)
  H = CROSS hc, ha, -1, (160,0,160)
  MARKPOINT H
REPEAT
